Package: groovy.util

## [Java] Class ElementEvent

- groovy.util.ObservableSet.ElementEvent

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ObservableSet.ElementEvent (Object source, Object oldValue, Object newValue, ChangeType type)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `ChangeType` | `getChangeType()`
    `` | `int` | `getType()`
    `` | `String` | `getTypeAsString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class PropertyChangeEvent` | `toString, getPropertyName, getOldValue, getPropagationId, setPropagationId, getNewValue, getSource, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class EventObject` | `toString, getSource, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ObservableSet.ElementEvent(Object source, Object oldValue, Object newValue, ChangeType type)

  - ### Method Detail

    - #### public ChangeType getChangeType()

    - #### public int getType()

    - #### public String getTypeAsString()